<template>
  <label
    :for="label"
    class="flex p-4 cursor-pointer items-center mt-4 justify-between bg-1100 border border-900 rounded-2xl"
  >
    <div class="flex flex-row justify-center items-center">
      <img :src="imgsrc" alt="logo" :class="classes" />

      <label
        :for="label"
        class="ml-4 cursor-pointer text-200 font-semibold text-base base:text-sm"
        >{{ label }}</label
      >
    </div>
    <input
      type="radio"
      :name="label"
      :value="label"
      :id="label"
      class="cursor-pointer form-check-input appearance-none rounded-full h-5 w-5 base:h-4 base:w-4 border-2 border-1100 bg-1500 ring-2 ring-1500 checked:bg-400 checked:ring-400 focus:outline-none transition duration-200 my-1 align-top bg-no-repeat bg-center bg-contain float-left"
    />
  </label>
</template>

<script>
export default {
  name: "ReaderCheckbox",
  props: {
    modelValue: String,
    label: {
      type: String,
      default: "",
    },
    imgsrc: {
      type: String,
      default: "",
    },
    classes: {
      type: String,
      default: "",
    },
  },
};
</script>
